public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Davide Pesavento" <pesa@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: dev-qt/qt-creator/
Date: Mon, 10 Jun 2013 04:30:33 +0000 (UTC)	[thread overview]
Message-ID: <1370838627.fee093cfb11da6cafc80c8e69b1d1ff0a784d47e.pesa@gentoo> (raw)

commit:     fee093cfb11da6cafc80c8e69b1d1ff0a784d47e
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Mon Jun 10 04:30:27 2013 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Mon Jun 10 04:30:27 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=fee093cf

[dev-qt/qt-creator] Version bump.

---
 dev-qt/qt-creator/Manifest                         |  1 +
 ...or-9999.ebuild => qt-creator-2.8.0_beta.ebuild} | 23 +++++++++++++---------
 dev-qt/qt-creator/qt-creator-9999.ebuild           | 21 ++++++++++++--------
 3 files changed, 28 insertions(+), 17 deletions(-)

diff --git a/dev-qt/qt-creator/Manifest b/dev-qt/qt-creator/Manifest
new file mode 100644
index 0000000..2ab0a7f
--- /dev/null
+++ b/dev-qt/qt-creator/Manifest
@@ -0,0 +1 @@
+DIST qt-creator-2.8.0-beta-src.tar.gz 22839011 SHA256 00f77b6edb2da05f9fc3173c6fabf7225464afc60ff454118116dbbdc85d4c51 SHA512 67a1b6c52ddfa72eb33f0b2d0edd9fcda3d1bf82599bc476763693e2b23f2d8d98bbe6aa27f2351a9e6bab270e1220edc70af52f4bcdfab49a6d7a53dfc376a5 WHIRLPOOL a0d417d183dc39f3c9d71c0ebad2443d9be94945e21434666f27c47430aa3adacf61407a2d569242ab2a5f0dfa8cf94e17f49b5bc1f9fcf6d89849a3f7313913

diff --git a/dev-qt/qt-creator/qt-creator-9999.ebuild b/dev-qt/qt-creator/qt-creator-2.8.0_beta.ebuild
similarity index 80%
copy from dev-qt/qt-creator/qt-creator-9999.ebuild
copy to dev-qt/qt-creator/qt-creator-2.8.0_beta.ebuild
index 48b13ff..288b2d8 100644
--- a/dev-qt/qt-creator/qt-creator-9999.ebuild
+++ b/dev-qt/qt-creator/qt-creator-2.8.0_beta.ebuild
@@ -1,10 +1,10 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-qt/qt-creator/qt-creator-2.7.0_rc.ebuild,v 1.1 2013/03/08 09:24:01 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-qt/qt-creator/qt-creator-2.7.1.ebuild,v 1.1 2013/06/03 08:01:44 pesa Exp $
 
 EAPI=5
 
-PLOCALES="cs de es fr hu it ja pl ru sl uk zh_CN zh_TW"
+PLOCALES="cs de es fr it ja pl ru sl uk zh_CN zh_TW"
 
 inherit eutils l10n multilib qt4-r2
 
@@ -19,12 +19,13 @@ if [[ ${PV} == *9999* ]]; then
 else
 	MY_PV=${PV/_/-}
 	MY_P=${PN}-${MY_PV}-src
-	SRC_URI="http://releases.qt-project.org/qtcreator/${MY_PV}/${MY_P}.tar.gz"
+	[[ ${MY_PV} == ${PV} ]] && MY_REL=official || MY_REL=development
+	SRC_URI="http://download.qt-project.org/${MY_REL}_releases/${PN/-}/${PV%.*}/${MY_PV}/${MY_P}.tar.gz"
 	S=${WORKDIR}/${MY_P}
 fi
 
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
 
 QTC_PLUGINS=(android autotools:autotoolsprojectmanager bazaar
 	clearcase cmake:cmakeprojectmanager cvs fakevim git
@@ -70,8 +71,8 @@ src_prepare() {
 	for plugin in "${QTC_PLUGINS[@]#[+-]}"; do
 		if ! use ${plugin%:*}; then
 			einfo "Disabling ${plugin%:*} plugin"
-			sed -i -re "/(^|SUBDIRS\s+\+=)\s+plugin_${plugin#*:}\>/d" src/plugins/plugins.pro \
-				|| die "failed to disable ${plugin} plugin"
+			sed -i -re "/^\s+${plugin#*:}\>/d" src/plugins/plugins.pro \
+				|| die "failed to disable ${plugin%:*} plugin"
 		fi
 	done
 
@@ -81,8 +82,9 @@ src_prepare() {
 }
 
 src_configure() {
-	eqmake4 qtcreator.pro \
-		IDE_LIBRARY_BASENAME="$(get_libdir)" \
+	EQMAKE4_EXCLUDE="share/qtcreator/templates/*
+			tests/*"
+	eqmake4 IDE_LIBRARY_BASENAME="$(get_libdir)" \
 		IDE_PACKAGE_MODE=1 \
 		TEST=$(use test && echo 1 || echo 0) \
 		USE_SYSTEM_BOTAN=1
@@ -91,14 +93,17 @@ src_configure() {
 src_test() {
 	echo ">>> Test phase [QTest]: ${CATEGORY}/${PF}"
 	cd tests/auto || die
+
+	EQMAKE4_EXCLUDE="valgrind/*"
 	eqmake4 IDE_LIBRARY_BASENAME="$(get_libdir)"
+
 	emake check
 }
 
 src_install() {
 	emake INSTALL_ROOT="${ED}usr" install
 
-	dodoc dist/{changes-2.*,known-issues}
+	dodoc dist/{changes-*,known-issues}
 
 	# install documentation
 	if use doc; then

diff --git a/dev-qt/qt-creator/qt-creator-9999.ebuild b/dev-qt/qt-creator/qt-creator-9999.ebuild
index 48b13ff..0b82e9d 100644
--- a/dev-qt/qt-creator/qt-creator-9999.ebuild
+++ b/dev-qt/qt-creator/qt-creator-9999.ebuild
@@ -1,10 +1,10 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-qt/qt-creator/qt-creator-2.7.0_rc.ebuild,v 1.1 2013/03/08 09:24:01 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-qt/qt-creator/qt-creator-2.7.1.ebuild,v 1.1 2013/06/03 08:01:44 pesa Exp $
 
 EAPI=5
 
-PLOCALES="cs de es fr hu it ja pl ru sl uk zh_CN zh_TW"
+PLOCALES="cs de es fr it ja pl ru sl uk zh_CN zh_TW"
 
 inherit eutils l10n multilib qt4-r2
 
@@ -19,7 +19,8 @@ if [[ ${PV} == *9999* ]]; then
 else
 	MY_PV=${PV/_/-}
 	MY_P=${PN}-${MY_PV}-src
-	SRC_URI="http://releases.qt-project.org/qtcreator/${MY_PV}/${MY_P}.tar.gz"
+	[[ ${MY_PV} == ${PV} ]] && MY_REL=official || MY_REL=development
+	SRC_URI="http://download.qt-project.org/${MY_REL}_releases/${PN/-}/${PV%.*}/${MY_PV}/${MY_P}.tar.gz"
 	S=${WORKDIR}/${MY_P}
 fi
 
@@ -70,8 +71,8 @@ src_prepare() {
 	for plugin in "${QTC_PLUGINS[@]#[+-]}"; do
 		if ! use ${plugin%:*}; then
 			einfo "Disabling ${plugin%:*} plugin"
-			sed -i -re "/(^|SUBDIRS\s+\+=)\s+plugin_${plugin#*:}\>/d" src/plugins/plugins.pro \
-				|| die "failed to disable ${plugin} plugin"
+			sed -i -re "/^\s+${plugin#*:}\>/d" src/plugins/plugins.pro \
+				|| die "failed to disable ${plugin%:*} plugin"
 		fi
 	done
 
@@ -81,8 +82,9 @@ src_prepare() {
 }
 
 src_configure() {
-	eqmake4 qtcreator.pro \
-		IDE_LIBRARY_BASENAME="$(get_libdir)" \
+	EQMAKE4_EXCLUDE="share/qtcreator/templates/*
+			tests/*"
+	eqmake4 IDE_LIBRARY_BASENAME="$(get_libdir)" \
 		IDE_PACKAGE_MODE=1 \
 		TEST=$(use test && echo 1 || echo 0) \
 		USE_SYSTEM_BOTAN=1
@@ -91,14 +93,17 @@ src_configure() {
 src_test() {
 	echo ">>> Test phase [QTest]: ${CATEGORY}/${PF}"
 	cd tests/auto || die
+
+	EQMAKE4_EXCLUDE="valgrind/*"
 	eqmake4 IDE_LIBRARY_BASENAME="$(get_libdir)"
+
 	emake check
 }
 
 src_install() {
 	emake INSTALL_ROOT="${ED}usr" install
 
-	dodoc dist/{changes-2.*,known-issues}
+	dodoc dist/{changes-*,known-issues}
 
 	# install documentation
 	if use doc; then


             reply	other threads:[~2013-06-10  4:30 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-06-10  4:30 Davide Pesavento [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-05-13 16:16 [gentoo-commits] proj/qt:master commit in: dev-qt/qt-creator/ Davide Pesavento
2016-04-21 15:38 Davide Pesavento
2015-12-17  2:39 Davide Pesavento
2015-10-18  1:53 Davide Pesavento
2015-09-14  0:53 Davide Pesavento
2015-05-04 19:52 Davide Pesavento
2015-04-23 15:38 Davide Pesavento
2015-04-01 14:55 Davide Pesavento
2015-03-29 14:01 Davide Pesavento
2015-02-24 18:00 Davide Pesavento
2015-01-26  2:58 Davide Pesavento
2015-01-20  2:37 Davide Pesavento
2014-10-21 17:34 Davide Pesavento
2013-12-19 22:34 Davide Pesavento
2013-10-23 13:12 Davide Pesavento
2013-08-15  8:23 Davide Pesavento
2013-07-27  8:33 Davide Pesavento
2013-06-30 23:52 Davide Pesavento
2013-03-08  9:37 Davide Pesavento

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1370838627.fee093cfb11da6cafc80c8e69b1d1ff0a784d47e.pesa@gentoo \
    --to=pesa@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox